# This version overrides the native zpool_version fact, which is broken on Linux.

Facter.add('zpool_version') do
  confine :kernel => "Linux"
  setcode do
    if Facter::Util::Resolution.which('zpool')
      zpool_v = Facter::Util::Resolution.exec('zpool upgrade -v')
      zpool_version = zpool_v.scan(/^\s+(\d+)\s+/m).flatten.last unless zpool_v.nil?
    end
  end
end
